diff run-from-build.sh @ 778:e373d2b6d0b8

Add killtree and make stuff use it. Update smoketest-all.sh to use doforklog, allowing FORK=1 to run stuff in parallel.
author Rob Landley <rob@landley.net>
date Fri, 03 Jul 2009 05:29:11 -0500
parents d0157468f73d
children 6caf372a8b12
line wrap: on
line diff
--- a/run-from-build.sh	Thu Jul 02 16:23:39 2009 -0500
+++ b/run-from-build.sh	Fri Jul 03 05:29:11 2009 -0500
@@ -19,7 +19,7 @@
 
 # And run it, using the distccd we built (if necessary) and the cross-compiler.
 
-trap "pkill -P$$" EXIT
+trap "killtree $$" EXIT
 
 ./run-emulator.sh --make-hdb 2048 --memory 256 --with-distcc \
 	"${BUILD}/cross-compiler-${ARCH}"